package com.abi.qms.platform.service;


import com.abi.qms.platform.dao.entity.UserInfo;
import com.abi.qms.platform.dto.req.LoginReq;
import com.abi.qms.platform.dto.req.ResetPasswordReq;
import com.abi.qms.platform.dto.req.TokenReq;
import com.abi.qms.platform.dto.req.UpdatePasswordReq;
import com.abi.task.common.api.base.BaseResponse;

/**
 * <p>
 * 登录
 * </p>
 *
 * @author Andy.Tan
 */
public interface LoginService {

    /**
     * 登录
     * @param req
     * @return
     */
    BaseResponse login(LoginReq req);

    /**
     *重置密码
     * @param req
     * @return
     */
    void resetPassword(ResetPasswordReq req);

    /**
     * 修改密码
     * @return
     */
    BaseResponse updatePassword(UpdatePasswordReq req);

    /**
     * token校验
     * @param req
     * @return
     */
    UserInfo validateToken(TokenReq req);
}
